## org.apache.axis.strategies
Class InvocationStrategy

    java.lang.Object
      |
      +--org.apache.axis.strategies.InvocationStrategy

All Implemented Interfaces:
  HandlerIterationStrategy

public class InvocationStrategy
extends java.lang.Object
implements HandlerIterationStrategy

A Strategy which calls invoke() on the specified Handler, passing it the specified MessageContext.

Author:
  Glen Daniels (gdaniels@macromedia.com)

Constructor Summary
`InvocationStrategy()`

Method Summary
`void` `visit(Handler handler, MessageContext msgContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationStrategy

    public InvocationStrategy()

Method Detail

### visit

    public void visit(Handler handler,
                      MessageContext msgContext)
               throws AxisFault

  Specified by:
    `visit` in interface `HandlerIterationStrategy`
    `AxisFault`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.